#include <stdlib.h>

float **two_D_ize(float *buff, int length, int dim)
{
	int i;
	float **x;

	x = (float **) calloc((unsigned) length,
			      (unsigned) sizeof(float *));
	if (x == NULL)
		return (NULL);

	for (i = 0; i < length; ++i)
		x[i] = buff + i * dim;

	return (x);
}
